Bug 1415749 - rhcert-ci run freeze and ignore undercloud_stackrc key
Summary: rhcert-ci run freeze and ignore undercloud_stackrc key
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Certification Program
Classification: Red Hat
Component: redhat-certification-openstack
Version: 1.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Rohan Kanade
QA Contact: Anshul Behl
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 16:09 UTC by Gonéri Le Bouder
Modified: 2018-04-26 05:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-26 05:32:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Gonéri Le Bouder 2017-01-23 16:09:16 UTC
Description of problem:

My test_config.json file has a undercloud_stackrc key but it's ignored by 
[stack@director ~]$ cat /etc/redhat-certification-openstack/test_config.json
{
  "keystone_auth_url" : "http://192.168.190.37:5000/v2.0",
  "keystone_region_name": "regionOne",
  "admin_username": "admin",
  "admin_password": "fKy8tmezmp8BwG4yZrTHs33EV",
  "admin_tenant_name": "admin",
  "plugin_type": "blockstorage",
  "supported_apis_and_extensions": ["volumes","snapshots","volume_types","qos","quota-set-extension","multiple-backends","availability","extensions","volume_transfers"],
  "lbaas_api_version": "v2",
  "undercloud_stackrc": "/home/stack/stackrc"
}
[stack@director ~]$ sudo rhcert-ci run --key-file /home/stack/key.file --debug high
(...)
installing test from /usr/lib/python2.7/site-packages/rhcert/suites/openstack_cert into /var/log/rhcert/runs/1/openstack/director
HardwareTestHarness.runTest:
directory /var/log/rhcert/runs/1/openstack/director    parameters: 
setting testserver to IP 127.0.0.1
Test Parameters: outputfile=/var/log/rhcert/runs/1/openstack/director/output.log testserver=127.0.0.1 
Checking installed rpms:
python-oslo-config-3.17.0-1.1.el7ost.noarch
python-oslo-config-3.17.0-1.1.el7ost.noarch
python-heatclient-1.5.0-1.el7ost.noarch
python-oslo-cache-1.14.0-1.1.el7ost.noarch
python-zaqarclient-1.2.0-2.el7ost.noarch
All required packages installed
Please input the path to undercloud stackrc file:  <------- Client is frozen waiting for an user input


Version-Release number of selected component (if applicable):

redhat-certification-openstack-4.3-20161220.el7.noarch
redhat-certification-backend-4.3-20161220.el7.noarch
redhat-certification-4.3-20161220.el7.noarch

Expected results:

rhcert-ci should not freeze. It would be nice if it could use a sensible default value like /home/stack/stackrc.

Comment 3 Anshul Behl 2017-01-23 16:39:52 UTC
Please try the new build at 

https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=534569

This should fix the issue with a new parameter added in test_config.json named undercloud_stackrc which can be configured before running rhcert-ci

Comment 4 Gonéri Le Bouder 2017-01-25 22:50:17 UTC
The fix has been tested yesterday and works fine for me.


Note You need to log in before you can comment on or make changes to this bug.